QGIS Application - Bug report #5678
Old labels in rule-based style not working
2012-05-30 11:59 PM - Alexander Novoselov

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15221
Description

http://youtu.be/buimEzpCXvU

Associated revisions

Revision cd97d823 - 2012-05-31 08:38 PM - Martin Dobias

fix #5678 (old labeling does not work with rule-based rendering)

History

#1 - 2012-05-31 12:29 AM - Giovanni Manghi

This is definitely a confirmed regression, but I'm not sure if you devs would like to consider it as a blocker. Feedback needed.

#2 - 2012-05-31 12:49 AM - Giovanni Manghi
- Status changed from Open to Feedback

Nathan from IRC:

gioman: I'm in two minds as we are removing that old engine and people should move to the new one, but if it worked in 1.7 then | guess it is a blocker. See

Martin about how hard it would be to fix. If it's hard then | say leave it.

#3 - 2012-05-31 01:12 AM - Alexander Novoselov

If add in new labels to create multiple labels with different styles. So old and can not be used. Now, for the application of multiple labels have to make
multiple connections to postgis. The old label was allowed to use the second field on point.

#4 - 2012-05-31 01:17 AM - Nathan Woodrow

Not sure | follow what you mean sorry.

#5 - 2012-05-31 01:19 AM - Giovanni Manghi

Nathan Woodrow wrote:
http://youtu.be/buimEzpCXvU

Not sure I follow what you mean sorry.

| believe he means that is using both the new and old labelling to do some kind of "rule based labelling".

#6 - 2012-05-31 11:39 AM - Martin Dobias
- Status changed from Feedback to Closed

Fixed in changeset commit:"cd97d8235ed153727475f59dbba3f986a211d3d2".
